Closed Bug 1568964 (bootstrap-python3) Opened 3 years ago Closed 2 years ago

[meta] Support bootstrapping development environments with Python 3

Categories

(Firefox Build System :: Bootstrap Configuration, enhancement)

enhancement
Not set
normal

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: mars, Unassigned)

References

Details

(Keywords: meta)

We need to support bootstrapping a Firefox development environment using Python 3.

The Firefox source tree is currently targeting Python version 3.6+. When code needs to remain compatible with Python 2 as well we are targeting Python version 2.7. The bootstrap code and documentation should support running under either interpreter.

Alias: bootstrap-python3
Depends on: 1210157
Depends on: 1569046
Depends on: 1569059
Depends on: 1601684
Depends on: 1606955
Depends on: 1524639
Duplicate of this bug: 1611213
Depends on: 1611213
Status: NEW → RESOLVED
Closed: 2 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.